#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

%global		package_version 3.4.0
%global		package_name ovirt-image-uploader

Summary:	Image Uploader for Red Hat Enterprise Virtualization
Name:		rhevm-image-uploader
Version:	3.4.0
Release:	2%{?release_suffix}%{?dist}
License:	ASL 2.0
URL:		http://www.redhat.com/virtualization/rhev/server/
Source:		http://resources.ovirt.org/releases/stable/src/%{package_name}-%{package_version}.tar.gz
Group:		Virtualization/Management

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
BuildArch:	noarch
Requires:	python
Requires:	python-lxml
Requires:	rhevm-sdk-python >= 3.4.0.7
Requires:	logrotate
BuildRequires:	gettext
BuildRequires:	python2-devel
BuildRequires:	python-lxml

Patch0: 0001-man-page-Adding-undocumented-options-to-the-man-page.patch

%description
Image Uploader tool for Red Hat Enterprise Virtualization Manager

%prep
%setup -q -n %{package_name}-%{package_version}
%patch0 -p1

%build
%configure \
	--docdir="%{_docdir}/%{package_name}-%{version}" \
	--disable-python-syntax-check

make %{?_smp_mflags}

%check
make check

%install
rm -rf "%{buildroot}"
make %{?_smp_mflags} install DESTDIR="%{buildroot}"
ln -s engine-image-uploader %{buildroot}/%{_bindir}/rhevm-image-uploader
echo ".so man8/engine-image-uploader.8" > %{buildroot}/%{_mandir}/man8/rhevm-image-uploader.8

%files
%doc AUTHORS
%doc COPYING
%dir %{_localstatedir}/log/ovirt-engine/%{package_name}
%dir %{_sysconfdir}/ovirt-engine/imageuploader.conf.d
%attr(0640, -, -) %config(noreplace) %{_sysconfdir}/ovirt-engine/imageuploader.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{package_name}
%{python_sitelib}/ovirt_image_uploader/*.py*
%{python_sitelib}/ovirt_image_uploader/ovf/*.py*
%{_bindir}/engine-image-uploader
%{_mandir}/man8/*
%{_bindir}/rhevm-image-uploader

%changelog
* Fri Apr 18 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 3.4.0-2
- Resolves: BZ#951097
- Require newer version of sdk for BZ#1085837

* Thu Feb 27 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 3.4.0-1
- Rebase on upstream 3.4.0-1
- Resolves oVirt: BZ#1058810

* Fri Jan 17 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 3.4.0-0.0.ovirtbeta1
- Rebase on upstream 3.4.0-0.1.beta1
- Resolves: BZ#1046303

